Package fr.gouv.vitam.worker.core.plugin.transfer.reply

# Class TransferReplyReportGenerationHandler

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.GenericReportGenerationHandler
fr.gouv.vitam.worker.core.plugin.transfer.reply.TransferReplyReportGenerationHandler

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class TransferReplyReportGenerationHandler extends GenericReportGenerationHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransferReplyReportGenerationHandler()`
  Default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkMandatoryIOParameter(HandlerIO handler)`
  Check mandatory parameter
  `static String`
  `getId()`
  `String`
  `getLogbookActionKey()`
  `protected LogbookOperation`
  `getLogbookInformation(HandlerIO handlerIO, WorkerParameters param)`
  `protected String`
  `getPluginId()`
  `ReportType`
  `getReportType()`

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.GenericReportGenerationHandler

  `execute, generateReport, getOperationSummary, getReport, getStatusStatistic`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, close, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransferReplyReportGenerationHandler

    public TransferReplyReportGenerationHandler()
    Default constructor

- ## Method Details

  - ### getLogbookInformation

    protected LogbookOperation getLogbookInformation(HandlerIO handlerIO, WorkerParameters param) throws ProcessingException
    Specified by:
      `getLogbookInformation` in class `GenericReportGenerationHandler`
    Throws:
      `ProcessingException`

  - ### checkMandatoryIOParameter

    public void checkMandatoryIOParameter(HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Check mandatory parameter
    Overrides:
      `checkMandatoryIOParameter` in class `ActionHandler`
    Parameters:
      `handler` - input output list
    Throws:
      `ProcessingException` - when handler io is not complete

  - ### getId

    public static String getId()

  - ### getPluginId

    protected String getPluginId()
    Specified by:
      `getPluginId` in class `GenericReportGenerationHandler`

  - ### getReportType

    public ReportType getReportType()
    Specified by:
      `getReportType` in class `GenericReportGenerationHandler`

  - ### getLogbookActionKey

    public String getLogbookActionKey()
    Specified by:
      `getLogbookActionKey` in class `GenericReportGenerationHandler`